XmVaCreateSimpleSpinBox(library call)

NAME
XmVaCreateSimpleSpinBox, XmVaCreateManagedSimpleSpinBox — A SimpleSpinBox widget convenience creation functions.

SYNOPSIS

#include <Xm/SSpinB.h>

Widget XmVaCreateSimpleSpinBox(
Widget parent,
String name,
...);

Widget XmVaCreateManagedSimpleSpinBox(
Widget parent,
String name,
...);

DESCRIPTION

These functions create an instance of a ToggleButtonGadget widget and returns the associated widget ID. These routines use the ANSI C variable-length argument list (varargs) calling convention.

The XmVaCreateSimpleSpinBox function is a convenience routine that calls XtCreateWidget.

The XmVaCreateSimpleSpinBox function is a convenience routine that calls XtCreateManagedWidget.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

... Specifies the variable argument list to override the resource defaults.

For a complete definition of SimpleSpinBox and its associated resources, see XmSimpleSpinBox(3).

RETURN

Returns the SimpleSpinBox widget ID.

RELATED

XmSimpleSpinBox(3), XmCreateSimpleSpinBox(3), XtCreateWidget(3), and XtCreateManagedWidget(3).